﻿&Вместо("РегистраторыИзмененныеПриРасчете")
Функция исперп_РегистраторыИзмененныеПриРасчете(Регистраторы, МетаРегистр, ОписаниеОшибокЗаписи, ПараметрыЗаписи)
	
	Если исперп_Правка
		.Включена(исперп_Идентификатор.РасчетСебестоимостиПрикладныеАлгоритмы_РегистраторыИзмененныеПриРасчете()) Тогда
		Запрос = Новый Запрос;
		
		Запрос.УстановитьПараметр("Регистраторы", Регистраторы);
		Запрос.УстановитьПараметр("НомерЗадания", ПараметрыЗаписи.НомерЗаданияДоРасчета);
		// ::: +++ Вернули условие по периоду из 2.5.7 - ошибки при загрузке Этапов производства с выпусками позднее периода
		// расчета во время расчета себестоимости 
		Запрос.УстановитьПараметр("исперп_ПериодРасчета", КонецМесяца(ПараметрыЗаписи.ПериодРасчета));
		
		Запрос.Текст =
		"ВЫБРАТЬ
		|	Т.Регистратор
		|ПОМЕСТИТЬ ВТОтбор
		|ИЗ
		|	&Регистраторы КАК Т
		|ИНДЕКСИРОВАТЬ ПО
		|	Регистратор
		|;
		|
		|ВЫБРАТЬ РАЗЛИЧНЫЕ
		|	Т.Организация,
		|	Т.Документ
		|ИЗ
		|	РегистрСведений.ЗаданияКРасчетуСебестоимости КАК Т
		|	ВНУТРЕННЕЕ СОЕДИНЕНИЕ ВТОтбор КАК Отбор
		|		ПО Т.Документ = Отбор.Регистратор
		|ГДЕ
		// ::: +++ Добавлено условие по периоду расчета
		|	Т.Месяц <= &исперп_ПериодРасчета И 
		|	Т.НомерЗадания > &НомерЗадания";
		
		ИзмененныеРегистраторы = Запрос.Выполнить().Выгрузить();
		Результат = Новый Соответствие;
		
		Для Каждого ТекСтр Из ИзмененныеРегистраторы Цикл
			
			Результат.Вставить(ТекСтр.Регистратор, Истина);
			
			ТекстДляПротокола = СтроковыеФункцииКлиентСервер.ПодставитьПараметрыВСтроку(
			НСтр("ru = 'Во время расчета изменены движения документа ""%1"" по регистру накопления ""%2""';
			|en = 'The ""%1"" document register records by the ""%2"" accumulation register were changed during calculation'", ОбщегоНазначения.КодОсновногоЯзыка()),
			СокрЛП(ТекСтр.Регистратор),
			МетаРегистр.Имя);
			
			ЗарегистрироватьОшибкуЗаписиДвижений(
			ТекСтр.Регистратор,
			ПараметрыЗаписи,
			НСтр("ru = 'Во время расчета были внесены изменения в рассчитываемый документ';
			|en = 'Changes were made to the calculated document during calculation'", ОбщегоНазначения.КодОсновногоЯзыка()),
			ТекстДляПротокола,
			ОписаниеОшибокЗаписи,
			ТекСтр.Организация);
			
		КонецЦикла;
		
		Возврат Результат; 
	Иначе
		Возврат ПродолжитьВызов(Регистраторы, МетаРегистр, ОписаниеОшибокЗаписи, ПараметрыЗаписи);
	КонецЕсли;
	
КонецФункции
